// Code generated by mockery v1.0.0. DO NOT EDIT.

// NOTE: run 'make update-mocks' from payment-api top folder to update this file and generate new ones.

package payments

import context "context"
import mock "github.com/stretchr/testify/mock"
import models "gitlab.com/cedric.parisi/payment-api/internal/models"
import utils "gitlab.com/cedric.parisi/payment-api/pkg/utils"

// MockService is an autogenerated mock type for the Service type
type MockService struct {
	mock.Mock
}

// CreatePayment provides a mock function with given fields: ctx, payment
func (_m *MockService) CreatePayment(ctx context.Context, payment *models.Payment) (*models.Payment, error) {
	ret := _m.Called(ctx, payment)

	var r0 *models.Payment
	if rf, ok := ret.Get(0).(func(context.Context, *models.Payment) *models.Payment); ok {
		r0 = rf(ctx, payment)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Payment)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *models.Payment) error); ok {
		r1 = rf(ctx, payment)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeletePayment provides a mock function with given fields: ctx, id
func (_m *MockService) DeletePayment(ctx context.Context, id string) error {
	ret := _m.Called(ctx, id)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetFilteredPayments provides a mock function with given fields: ctx, filter
func (_m *MockService) GetFilteredPayments(ctx context.Context, filter *utils.Filter) (*utils.FilteredList, error) {
	ret := _m.Called(ctx, filter)

	var r0 *utils.FilteredList
	if rf, ok := ret.Get(0).(func(context.Context, *utils.Filter) *utils.FilteredList); ok {
		r0 = rf(ctx, filter)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*utils.FilteredList)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *utils.Filter) error); ok {
		r1 = rf(ctx, filter)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPayment provides a mock function with given fields: ctx, id
func (_m *MockService) GetPayment(ctx context.Context, id string) (*models.Payment, error) {
	ret := _m.Called(ctx, id)

	var r0 *models.Payment
	if rf, ok := ret.Get(0).(func(context.Context, string) *models.Payment); ok {
		r0 = rf(ctx, id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Payment)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdatePayment provides a mock function with given fields: ctx, payment
func (_m *MockService) UpdatePayment(ctx context.Context, payment *models.Payment) error {
	ret := _m.Called(ctx, payment)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.Payment) error); ok {
		r0 = rf(ctx, payment)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
